Package ru.bitel.bgbilling.modules.card.server.bean

# Class DPaymentManager

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.DPaymentManager

    public class DPaymentManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DPaymentManager​(Preferences moduleSetup, java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DPayment` | `addPayment​(Dealer dealer, DPayment dpayment)` |
  `int` | `cancelPayment​(Dealer dealer, int cid, int id)` | Отмена платежа дилером.
  `int` | `cancelPayment​(Dealer dealer, int cid, java.lang.String transId)` | Отмена платежа дилером.
  `int` | `cancelPayment​(Dealer dealer, DPayment payment)` | Отмена платежа дилером.
  `java.util.List<DPaymentList>` | `getDealerPaymentReport​(java.lang.String dealerids, java.util.Date date1, java.util.Date date2, Page page)` |
  `DPayment` | `getDPayment​(java.util.Date date, int dealerId, int id)` |
  `DPayment` | `getDPayment​(java.util.Date date, int dealerId, int cid, int id)` |
  `DPayment` | `getDPayment​(java.util.Date date, int dealerId, int cid, java.lang.String transId)` |
  `DPaymentList` | `getDPaymentList​(int dealerId, java.util.Date dateFrom, java.util.Date dateTo, int type, Page page)` |
  `int` | `getMaxPage​(int dealerId, java.util.Date dateFrom, java.util.Date dateTo, int type, int pageSize)` |
  `java.util.List<DPayment>` | `getPaymentList​(int dealerId, java.util.Date dateFrom, java.util.Date dateTo, int type, Page page)` |
  `protected java.util.List<DPayment>` | `getPaymentListFromFile​(java.lang.String fileString)` |
  `RevisePayments` | `revisePayments​(int id, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String fileString)` |
  `void` | `updateComission​(int cid, java.util.Date month)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DPaymentManager

    public DPaymentManager​(Preferences moduleSetup, java.sql.Connection con, int mid)

- ## Method Details

  - ### getPaymentList

    public java.util.List<DPayment> getPaymentList​(int dealerId, java.util.Date dateFrom, java.util.Date dateTo, int type, Page page)

  - ### getDPaymentList

    public DPaymentList getDPaymentList​(int dealerId, java.util.Date dateFrom, java.util.Date dateTo, int type, Page page)

  - ### getMaxPage

    public int getMaxPage​(int dealerId, java.util.Date dateFrom, java.util.Date dateTo, int type, int pageSize)

  - ### getDPayment

    public DPayment getDPayment​(java.util.Date date, int dealerId, int cid, int id)

  - ### getDPayment

    public DPayment getDPayment​(java.util.Date date, int dealerId, int id)

  - ### getDPayment

    public DPayment getDPayment​(java.util.Date date, int dealerId, int cid, java.lang.String transId)

  - ### addPayment

    public DPayment addPayment​(Dealer dealer, DPayment dpayment) throws ru.bitel.bgbilling.common.BGException
    Parameters:
      `dealer` -
      `dpayment` -
    Returns:
      null если платеж проведен и DPayment, если такой платеж уже есть
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelPayment

    public int cancelPayment​(Dealer dealer, int cid, java.lang.String transId) throws ru.bitel.bgbilling.common.BGException
    Отмена платежа дилером. Проверяется на период отмены
    Parameters:
      `dealer` -
      `cid` -
      `transId` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelPayment

    public int cancelPayment​(Dealer dealer, int cid, int id) throws ru.bitel.bgbilling.common.BGException
    Отмена платежа дилером. Проверяется на период отмены
    Parameters:
      `dealer` -
      `cid` -
      `id` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### cancelPayment

    public int cancelPayment​(Dealer dealer, DPayment payment) throws ru.bitel.bgbilling.common.BGException
    Отмена платежа дилером. Проверяется на период отмены
    Parameters:
      `dealer` -
      `payment` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### revisePayments

    public RevisePayments revisePayments​(int id, java.util.Date dateFrom, java.util.Date dateTo, java.lang.String fileString)

  - ### getPaymentListFromFile

    protected java.util.List<DPayment> getPaymentListFromFile​(java.lang.String fileString)

  - ### updateComission

    public void updateComission​(int cid, java.util.Date month) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDealerPaymentReport

    public java.util.List<DPaymentList> getDealerPaymentReport​(java.lang.String dealerids, java.util.Date date1, java.util.Date date2, Page page)